/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Models.CommandeClt;

import javafx.beans.property.SimpleStringProperty;


public class CommandeCltListe {
    
    private final SimpleStringProperty CodeCommande;
    private final SimpleStringProperty TypeClient;
    private final SimpleStringProperty CodeClient;
    private final SimpleStringProperty ModePaiement;
    private final SimpleStringProperty TotalCommande;
    private final SimpleStringProperty DateCreation;
    private final SimpleStringProperty CodeDevis;
    private final SimpleStringProperty CodeFacture;
    private final SimpleStringProperty CodeBonLivraison;
    
    public CommandeCltListe(String CodeCommande, String TypeClient, String CodeClient, String ModePaiement, String TotalCommande,String DateCreation, String CodeDevis, String CodeFacture, String CodeBonLivraison) {
        this.CodeCommande= new SimpleStringProperty(CodeCommande);
        this.TypeClient= new SimpleStringProperty(TypeClient);
        this.CodeClient= new SimpleStringProperty(CodeClient);
        this.ModePaiement = new SimpleStringProperty(ModePaiement);
        this.TotalCommande= new SimpleStringProperty(TotalCommande);
        this.DateCreation= new SimpleStringProperty(DateCreation);
        this.CodeDevis= new SimpleStringProperty(CodeDevis);
        this.CodeFacture = new SimpleStringProperty(CodeFacture);
        this.CodeBonLivraison = new SimpleStringProperty(CodeBonLivraison);
    } 
    
    public String getCodeFacture() {
        return CodeFacture.get();
    }
    
    public String getCodeCommande() {
        return CodeCommande.get();
    }
    
    public String getCodeDevis() {
        return CodeDevis.get();
    }
    
    public String getTypeClient() {
        return TypeClient.get();
    }
    
    public String getCodeClient() {
        return CodeClient.get();
    }
    
    public String getTotalCommande() {
        return TotalCommande.get();
    }
    
    public String getModePaiement() {
        return ModePaiement.get();
    }
    
    public String getDateCreation() {
        return DateCreation.get();
    }
    
    public String getCodeBonLivraison() {
        return CodeBonLivraison.get();
    }
    
}
